From 3784340f1e85e16595df3ab414a995165f67edf8 Mon Sep 17 00:00:00 2001
From: Michel Stam <m.stam@fugro.nl>
Date: Mon, 10 Mar 2014 10:26:28 +0100
Subject: [PATCH 3/3] x86: Most systems support a second serial port. Add it.

---
 arch/x86/boards/x86_generic/generic_pc.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/arch/x86/boards/x86_generic/generic_pc.c b/arch/x86/boards/x86_generic/generic_pc.c
index 6152afc..4031a7e 100644
--- a/arch/x86/boards/x86_generic/generic_pc.c
+++ b/arch/x86/boards/x86_generic/generic_pc.c
@@ -150,6 +150,7 @@ static int pc_console_init(void)
 
 	/* Register the serial port */
 	add_ns16550_device(DEVICE_ID_DYNAMIC, 0x3f8, 8, 0, &serial_plat);
+	add_ns16550_device(DEVICE_ID_DYNAMIC, 0x2f8, 8, 0, &serial_plat);
 
 	return 0;
 }
-- 
1.8.4

